// Top-level build file where you can add configuration options common to all sub-projects/modules.

buildscript {
    repositories {
    	// For the Gradle plugin and its deps
        maven { url "https://maven.google.com" }
        jcenter()
    }
    dependencies {
        // https://jcenter.bintray.com/com/android/tools/build/gradle
        classpath 'com.android.tools.build:gradle:3.2.0'
    }
}

allprojects {
    repositories {
        jcenter()
        // For the support libraries
        maven { url "https://maven.google.com" }
    }
}

//This block encapsulates custom properties and makes them available to all
//modules in the project.
ext {
    compileSdkVersion = 28
    buildToolsVersion = "28.0.2"
    supportLibVersion = "28.0.0"
}

task clean(type: Delete) {
    delete rootProject.buildDir
}
